com.hazelcast.jet.function

## Interface DistributedDoublePredicate

- All Superinterfaces:
    DoublePredicate, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedDoublePredicate
      extends DoublePredicate, Serializable

  `Serializable` variant of `java.util.function.DoublePredicate` which declares checked exception.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DistributedDoublePredicate` | `and(DistributedDoublePredicate other)` `Serializable` variant of `java.util.function.DoublePredicate#and(DoublePredicate)`.
    `default DistributedDoublePredicate` | `negate()` `Serializable` variant of `DoublePredicate.negate()`.
    `default DistributedDoublePredicate` | `or(DistributedDoublePredicate other)` `Serializable` variant of `java.util.function.DoublePredicate#or(DoublePredicate)`.
    `default boolean` | `test(double value)`
    `boolean` | `testEx(double value)` Exception-declaring version of `DoublePredicate.test(double)`.

    - ### Methods inherited from interface java.util.function.DoublePredicate

      `and, or`

- - ### Method Detail

    - #### testEx

          boolean testEx(double value)
                  throws Exception

      Exception-declaring version of `DoublePredicate.test(double)`.
      Throws:
        `Exception`

    - #### test

          default boolean test(double value)

      Specified by:
        `test` in interface `DoublePredicate`

    - #### and

          default DistributedDoublePredicate and(DistributedDoublePredicate other)

      `Serializable` variant of `java.util.function.DoublePredicate#and(DoublePredicate)`.

    - #### negate

          default DistributedDoublePredicate negate()

      `Serializable` variant of `DoublePredicate.negate()`.
      Specified by:
        `negate` in interface `DoublePredicate`

    - #### or

          default DistributedDoublePredicate or(DistributedDoublePredicate other)

      `Serializable` variant of `java.util.function.DoublePredicate#or(DoublePredicate)`.

Copyright © 2018. All rights reserved.